Bug 620426 - (CVE-2010-2799) CVE-2010-2799 Socat: Stack overflow by lexical scanning of nested character patterns
CVE-2010-2799 Socat: Stack overflow by lexical scanning of nested character p...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100802,reported=20100802,sou...
: Security
Depends On: 620430
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 09:45 EDT by Jan Lieskovsky
Modified: 2010-09-14 16:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 19:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-02 09:45:09 EDT
Socat upstream, released an advisory:
  [1] http://www.dest-unreach.org/socat/contrib/socat-secadv2.html

describing a stack overflow flaw, present in Socat bidirectional data
relay, when processing command line arguments (address specifications,
host names, file names), longer than 512 bytes. An attacker, able to
inject data into sockat's command line (potentially remotely via CGI
script invocation), could use this flaw to execute arbitrary code with
the privileges of the socat process.

References:
  [2] http://bugs.gentoo.org/show_bug.cgi?id=330785

Upstream patch against v1.7.2:
  [3] http://www.dest-unreach.org/socat/download/socat-1.7.1.3.patch

Credit:
Issue discovered and reported by Felix Gröbert of Google Security Team

CVE Request:
  [4] http://www.openwall.com/lists/oss-security/2010/08/02/3
Comment 1 Jan Lieskovsky 2010-08-02 09:47:05 EDT
This issue affects the versions of the socat package, as shipped
with Fedora releases of 12 and 13.

Please fix.
Comment 2 Jan Lieskovsky 2010-08-02 09:51:57 EDT
Created socat tracking bugs for this issue

Affects: fedora-all [bug 620430]
Comment 3 Jan Lieskovsky 2010-08-03 04:29:02 EDT
The CVE identifier of CVE-2010-2799 has been assigned to this.
Comment 4 Paul Wouters 2010-08-23 19:48:01 EDT

*** This bug has been marked as a duplicate of bug 620430 ***
Comment 5 Vincent Danen 2010-09-14 16:33:55 EDT
This shouldn't been closed as a duplicate of the tracking bug.

Note You need to log in before you can comment on or make changes to this bug.